#ifndef L10N_STRINGS_H
#define L10N_STRINGS_H

#ifdef _L10N_CP1251
// Russian Win1251 Strings
const char LC_RES[] = { 0xD0, 0xE0, 0xE7, 0xF0, 0xE5, 0xF8, 0xE5, 0xED, 0xE8, 0xE5, ':', ' ', NULL };
const char LC_KEYS[] = { 0xD3, 0xEF, 0xF0, 0xE0, 0xE2, 0xEB, 0xE5, 0xED, 0xE8, 0xE5, NULL };
const char LC_REPLAY[] = { 0xCF, 0xEE, 0xE2, 0xF2, 0xEE, 0xF0, 0xFB, NULL };
const char LC_DEBUG[] = { 0xCC, 0xE5, 0xED, 0xFE, ' ', 0xEE, 0xF2, 0xEB, 0xE0, 0xE4, 0xEA, 0xE8, NULL };
const char LC_DEBUG_KEYS[] = { 0xC2, 0xEA, 0xEB, 0xFE, 0xF7, 0xE8, 0xF2, 0xFC, ' ',
                               'D', 'e', 'b', 'u', 'g', '-', 0xEA, 0xEB, 0xE0, 0xE2, 0xE8, 0xF8, 0xE8, NULL };
const char LC_SAVE_SLOTS[] = { 0xD1, 0xEB, 0xEE, 0xF2, 0xFB, ' ',
                               0xF1, 0xEE, 0xF5, 0xF0, 0xE0, 0xED, 0xE5, 0xED, 0xE5, 0xE9, ':', ' ', NULL };
const char LC_MUSIC[] = { 0xCC, 0xF3, 0xE7, 0xFB, 0xEA, 0xE0, ':', ' ', NULL };
const char LC_SOUND[] = { 0xC7, 0xE2, 0xF3, 0xEA, ':', ' ', NULL };

const char LC_FULLSCREEN_DIS[] = { 0xCF, 0xEE, 0xEB, 0xED, 0xEE, 0xFD, 0xEA, 0xF0, 0xE0, 0xED, 0xED, 0xFB, 0xE9, ' ',
                                   0xF0, 0xE5, 0xE6, 0xE8, 0xEC, ' ',
                                   0xEE, 0xF2, 0xEA, 0xEB, 0xFE, 0xF7, 0xE5, 0xED, NULL};
const char LC_FULLSCREEN_CON[] = { 0xF7, 0xE5, 0xF0, 0xE5, 0xE7, ' ', 0xEA, 0xEE, 0xED, 0xF1, 0xEE, 0xEB, 0xFC, NULL};
const char LC_RES_FAILED_320[] = { 0xCE, 0xF8, 0xE8, 0xE1, 0xEA, 0xE0, ' ',
                                   0xE8, 0xE7, 0xEC, 0xE5, 0xED, 0xE5, 0xED, 0xE8, 0xFF, ' ',
                                   0xF0, 0xE0, 0xE7, 0xF0, 0xE5, 0xF8, 0xE5, 0xED, 0xE8, 0xFF, ' ',
                                   0xED, 0xE0, ' ',
                                   '3', '2', '0', 'x', '2', '4', '0', NULL};
const char LC_RES_FAILED[] = { 0xCE, 0xF8, 0xE8, 0xE1, 0xEA, 0xE0, ' ',
                               0xE8, 0xE7, 0xEC, 0xE5, 0xED, 0xE5, 0xED, 0xE8, 0xFF, ' ',
                               0xF0, 0xE0, 0xE7, 0xF0, 0xE5, 0xF8, 0xE5, 0xED, 0xE8, 0xFF, ' ', NULL };

const char LC_FPS[] = { 0xCF, 0xEE, 0xEA, 0xE0, 0xE7, 0xE0, 0xF2, 0xFC, ' ', 'F', 'P', 'S', NULL };
const char LC_GODMODE[] = { 0xC2, 0xEA, 0xEB, 0xFE, 0xF7, 0xE8, 0xF2, 0xFC, ' ',
                            0xED, 0xE5, 0xF3, 0xFF, 0xE7, 0xE2, 0xE8, 0xEC, 0xEE, 0xF1, 0xF2, 0xFC, NULL };
const char LC_BOXES[] = { 0xD0, 0xE8, 0xF1, 0xEE, 0xE2, 0xE0, 0xF2, 0xFC, ' ',
                          0xE1, 0xEE, 0xEA, 0xF1, 0xFB, NULL };
const char LC_ADDEXP[] = { 0xC4, 0xEE, 0xE1, 0xE0, 0xE2, 0xE8, 0xF2, 0xFC, ' ',
                           '+', '1', ' ', 'X', 'P', NULL };
const char LC_SAVE_NOW[] = { 0xD1, 0xEE, 0xF5, 0xF0, 0xE0, 0xED, 0xE8, 0xF2, 0xFC, ' ',
                             0xE8, 0xE3, 0xF0, 0xF3, ' ',
                             0xF1, 0xE5, 0xE9, 0xF7, 0xE0, 0xF1, NULL };

const char LC_ON[] = { 0xC2, 0xEA, 0xEB, NULL };
const char LC_OFF[] = { 0xC2, 0xFB, 0xEA, 0xEB, NULL };
const char LC_BOSS_ONLY[] = { 0xD2, 0xEE, 0xEB, 0xFC, 0xEA, 0xEE, ' ',
                              0xED, 0xE0, ' ',
                              0xE1, 0xEE, 0xF1, 0xF1, 0xE0, 0xF5, NULL };

const char LC_NO_RPL[] = { '[', 0xED, 0xE5, 0xF2, ' ',
                           0xEF, 0xEE, 0xE2, 0xF2, 0xEE, 0xF0, 0xEE, 0xE2, ']', NULL };
const char LC_PLAY[] = { 0xC8, 0xE3, 0xF0, 0xE0, 0xF2, 0xFC, NULL };
const char LC_KEEP[] = { 0xD1, 0xEE, 0xF5, 0xF0, 0xE0, 0xED, 0xE8, 0xF2, 0xFC, NULL };
const char LC_FAIL_LOAD_HEADER[] = { 0xCE, 0xF8, 0xE8, 0xE1, 0xEA, 0xE0, ' ',
                                     0xE7, 0xE0, 0xE3, 0xF0, 0xF3, 0xE7, 0xEA, 0xE8, ' ',
                                     0xE7, 0xE0, 0xE3, 0xEE, 0xEB, 0xEE, 0xE2, 0xEA, 0xE0, '.', NULL };
const char LC_FAIL_WRITE_HEADER[] = { 0xCE, 0xF8, 0xE8, 0xE1, 0xEA, 0xE0, ' ',
                                      0xE7, 0xE0, 0xEF, 0xE8, 0xF1, 0xE8, ' ',
                                      0xE7, 0xE0, 0xE3, 0xEE, 0xEB, 0xEE, 0xE2, 0xEA, 0xE0, '.', NULL };

const char LC_KB_LEFT[] = { 0xC2, 0xEB, 0xE5, 0xE2, 0xEE, NULL };
const char LC_KB_RIGHT[] = { 0xC2, 0xEF, 0xF0, 0xE0, 0xE2, 0xEE, NULL };
const char LC_KB_UP[] = { 0xC2, 0xE2, 0xE5, 0xF0, 0xF5, NULL };
const char LC_KB_DOWN[] = { 0xC2, 0xED, 0xE8, 0xE7, NULL };
const char LC_KB_JUMP[] = { 0xCF, 0xF0, 0xFB, 0xE6, 0xEE, 0xEA, NULL };
const char LC_KB_FIRE[] = { 0xCE, 0xE3, 0xEE, 0xED, 0xFC, NULL };
const char LC_KB_WPN_PREV[] = { 0xCF, 0xF0, 0xE5, 0xE4, '.', ' ',
                                0xEE, 0xF0, 0xF3, 0xE6, 0xE8, 0xE5, NULL };
const char LC_KB_WPN_NEXT[] = { 0xD1, 0xEB, 0xE5, 0xE4, '.', ' ',
                                0xEE, 0xF0, 0xF3, 0xE6, 0xE8, 0xE5, NULL };
const char LC_KB_INV[] = { 0xC8, 0xED, 0xE2, 0xE5, 0xED, 0xF2, 0xE0, 0xF0, 0xFC, NULL };
const char LC_KB_MAP[] = { 0xCA, 0xE0, 0xF0, 0xF2, 0xE0, NULL };
const char LC_KB_NEW_KEY[] = { 0xCD, 0xE0, 0xE6, 0xEC, 0xE8, 0xF2, 0xE5, ' ',
                               0xED, 0xEE, 0xE2, 0xF3, 0xFE, ' ',
                               0xEA, 0xEB, 0xE0, 0xE2, 0xE8, 0xF8, 0xF3, ' ',
                               0xE4, 0xEB, 0xFF, ':', NULL };
const char LC_KB_BUSY[] = { 0xCA, 0xEB, 0xE0, 0xE2, 0xE8, 0xF8, 0xE0, ' ',
                            0xF3, 0xE6, 0xE5, ' ',
                            0xE8, 0xF1, 0xEF, 0xEE, 0xEB, 0xFC, 0xE7, 0xF3, 0xE5, 0xF2, 0xF1, 0xFF, ' ',
                            0xED, 0xE0, ':', NULL };

const char LC_RETURN[] = { 0xC2, 0xEE, 0xE7, 0xE2, 0xF0, 0xE0, 0xF2, NULL};
const char LC_FULLSCREEN[] = { 0xCF, 0xEE, 0xEB, 0xED, 0xFB, 0xE9, ' ', 0xFD, 0xEA, 0xF0, 0xE0, 0xED, NULL};

const char LC_PS_QUIT[] = { ':', 0xC2, 0xFB, 0xF5, 0xEE, 0xE4, NULL};
const char LC_PS_RESUME[] = { ':', 0xC2, 0xEE, 0xE7, 0xE2, 0xF0, 0xE0, 0xF2, NULL};
const char LC_PS_RESET[] = { ':', 0xD1, 0xE1, 0xF0, 0xEE, 0xF1, NULL};
const char LC_PS_OPTIONS[] = { ':', 0xCE, 0xEF, 0xF6, 0xE8, 0xE8, NULL};
#else
const char LC_RES[] = "Resolution: ";
const char LC_KEYS[] = "Controls";
const char LC_REPLAY[] = "Replay";
const char LC_DEBUG[] = "Debug Menu";
const char LC_DEBUG_KEYS[] = "Enable Debug Keys";
const char LC_SAVE_SLOTS[] = "Save Slots: ";
const char LC_MUSIC[] = "Music: ";
const char LC_SOUND[] = "Sound: ";

const char LC_FULLSCREEN_DIS[] = "Fullscreen disabled via";
const char LC_FULLSCREEN_CON[] = "inhibit-fullscreen console setting";
const char LC_RES_FAILED_320[] = "Failed change resolution to 320x240";
const char LC_RES_FAILED[] = "Resolution change failed";

const char LC_FPS[] = "Show FPS";
const char LC_GODMODE[] = "Enable GodMode";
const char LC_BOXES[] = "Draw Boxes";
const char LC_ADDEXP[] = "Add +1 XP";
const char LC_SAVE_NOW[] = "Save now";

const char LC_ON[] = "On";
const char LC_OFF[] = "Off";
const char LC_BOSS_ONLY[] = "Boss Only";

const char LC_NO_RPL[] = "[no replays yet]";
const char LC_PLAY[] = "Play";
const char LC_KEEP[] = "Keep";
const char LC_FAIL_LOAD_HEADER[] = "Failed to load header.";
const char LC_FAIL_WRITE_HEADER[] = "Failed to write header.";

const char LC_KB_LEFT[] = "Left";
const char LC_KB_RIGHT[] = "Right";
const char LC_KB_UP[] = "Up";
const char LC_KB_DOWN[] = "Down";
const char LC_KB_JUMP[] = "Jump";
const char LC_KB_FIRE[] = "Fire";
const char LC_KB_WPN_PREV[] = "Wpn Prev";
const char LC_KB_WPN_NEXT[] = "Wpn Next";
const char LC_KB_INV[] = "Inventory";
const char LC_KB_MAP[] = "Map";
const char LC_KB_NEW_KEY[] = "Press new key for:";
const char LC_KB_BUSY[] = "Key already in use by:";

const char LC_RETURN[] = "Return";
const char LC_FULLSCREEN[] = "Fullscreen";

const char LC_PS_QUIT[] = ":Quit";
const char LC_PS_RESUME[] = ":Resume";
const char LC_PS_RESET[] = ":Reset";
const char LC_PS_OPTIONS[] = ":Options";
#endif

#endif // L10N_STRINGS_H
